summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Väth <martin@mvath.de>2015-10-11 11:26:48 +0200
committerMartin Väth <martin@mvath.de>2015-10-11 11:32:18 +0200
commit109d6b4f673a249aea4deeb0cdb5b54a21592410 (patch)
treeec3589a50dac5be54ef6248d1e0ff3a9fd3b41b4 /dev-tex/chklref/chklref-2.6.0.ebuild
downloadmv-109d6b4f673a249aea4deeb0cdb5b54a21592410.tar.gz
mv-109d6b4f673a249aea4deeb0cdb5b54a21592410.tar.bz2
mv-109d6b4f673a249aea4deeb0cdb5b54a21592410.zip
Clear history for egencache --repo=mv --update-changelogs
Diffstat (limited to 'dev-tex/chklref/chklref-2.6.0.ebuild')
-rw-r--r--dev-tex/chklref/chklref-2.6.0.ebuild40
1 files changed, 40 insertions, 0 deletions
diff --git a/dev-tex/chklref/chklref-2.6.0.ebuild b/dev-tex/chklref/chklref-2.6.0.ebuild
new file mode 100644
index 00000000..d2cbb04f
--- /dev/null
+++ b/dev-tex/chklref/chklref-2.6.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils latex-package
+RESTRICT="mirror"
+
+DESCRIPTION="Finds out useless references in latex files or numbered environments that should not be"
+HOMEPAGE="http://www-ljk.imag.fr/membres/Jerome.Lelong/soft/chklref/index.html"
+SRC_URI="http://www-ljk.imag.fr/membres/Jerome.Lelong/soft/chklref/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="virtual/latex-base
+ dev-lang/perl"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ use prefix || sed -i \
+ -e '1s"^#!/usr/bin/env sh$"#!'"${EPREFIX}/bin/sh"'"' \
+ -- "${S}"/src/chklref.in || die
+ epatch_user
+}
+
+src_configure() {
+ econf --with-texmf-prefix="${EPREFIX}${TEXMF}"
+}
+
+src_compile() {
+ default
+}
+
+src_install() {
+ default
+ dodoc README
+}